package com.osnova;

import android.graphics.*;

public class Key
{

	private Bitmap b;
	private DD dd;
	 
	public Sprite sd;
	private int x,y,w,h;
	private boolean k;

	private Paint p;
	private int ss=0;

	public boolean pause=false;
	public int rp=3;
	public int ka1=0,ka2=1;
 // 23.01.24 animal
	public boolean animal=false;
	   
	
	
	// используется в KeyPad
	public Key(int x,int y,int w,int h,Bitmap b,DD dd){
		
		this.x=x;
		this.y=y;
		this.w=w;
		this.h=h;
		this.dd=dd;
		this.b=b;
	
		
		sd=new Sprite(b,w,h);
		
		
		
		p=new Paint();
		p.setTextSize(30);
		
		
		 
		}
	
		
	public Key(int w,int h,Bitmap b,DD dd){
		
		
		this.w=w;
		this.h=h;
		this.dd=dd;
		this.b=b;
	
		
		sd=new Sprite(b,w,h);
		
		
		
	
		
		 
		
		}
	
	
	
	
	
	
	
	
	 // Анимация
		// используется в KeyPad
	public void draw(Canvas c){
		
		 
		
	if(animal){
		 sd.skFrame=5;
			sd.nextFrame(0); 
		}
		sd.setPosition(x,y);
		sd.paint(c);
	
		
	if(!dd.stop && dd.ex>=x && dd.ex<=x+sd.W()
	&& dd.ey>=y && dd.ey<=y+sd.H()){
		 
			  
		
		sd.setFrame(ka1);
		
		if(!pause){k=true;}
		
	    if(pause){
		 ss++;
		if(ss>rp){k=true;}
			} 
		
		}
		
		
		
		if(dd.stop){sd.setFrame(ka2);k=false;ss=0;}
		}
		
		
	
	
	
	
	
	
	
	
	// Без Анимации
	// Хотелось использовать в рюкзаке
	public void draw(Canvas c,int x,int y){
		
		sd.setPosition(x,y);
		sd.paint(c);
		
	
		
	
	if(!dd.stop & dd.ex>x & dd.ex<x+sd.W()
	& dd.ey>y & dd.ey<y+sd.H()){
		
		k=true;
		}
		
		
		
		if(dd.stop){k=false;ss=0;}
		}
	
	
	
		
public boolean getK(){
	
	
	
	return k;
}
		
	
   public void SpriteWH(int w,int h){
	   
	   this.w=w;
	   this.h=h;
	   
   }


	
	
	
	//end class
	}
